> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.comboboxstyle.md).

# ComboBoxStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the [DropDownStyle](/api/wisej.web/lists-and-grids/combobox.md#dropdownstyle) in the [ComboBox](/api/wisej.web/lists-and-grids/combobox.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ComboBoxStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ComboBoxStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                                                                                                                                                                                                           |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **DropDown**     | The list is displayed by clicking the down arrow, or pressing either the Down, Alt+Down or Alt+Up keys, and that the text portion is editable. The user can enter a new value or select an existing value in the list.                |
| **DropDownList** | The list is displayed by clicking the down arrow, or pressing either the Down, Alt+Down or Alt+Up keys, and that the text portion is not editable. The user cannot enter a new value and can only select a value already in the list. |
| **Simple**       | The list is always visible and that the text portion is editable. The user can enter a new value or can select an existing value in the list.                                                                                         |

## Used By

| Name                                                                                                                                          | Description                                                                                              |
| --------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| [ComboBox.DropDownStyle](/api/wisej.web/lists-and-grids/combobox.md#dropdownstyle)                                                            | Returns or sets the drop down style of the combo box.                                                    |
| [DataGridViewComboBoxCell.DropDownStyle](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md#dropdownstyle)     | Returns or sets the style of the combo box.                                                              |
| [DataGridViewComboBoxColumn.DropDownStyle](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md#dropdownstyle) | Returns or sets the drop down style of the combo box.                                                    |
| [ComboBoxExtensions.DropDownStyle](/api/wisej.web.markup/extensions/wisej.web.markup.comboboxextensions.md#dropdownstyle-combobox-style)      | Sets the DropDownStyle property of the specified [ComboBox](/api/wisej.web/lists-and-grids/combobox.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.comboboxstyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
